commit:     f9cbf1d6367a1d96cc80f8aa63b9f767f9fac429
Author:     Jory Pratt <anarchy <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  6 22:32:34 2019 +0000
Commit:     Jory Pratt <anarchy <AT> gentoo <DOT> org>
CommitDate: Wed Nov  6 22:32:34 2019 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=f9cbf1d6

dev-tex/luatex: sync for eapi support

Package-Manager: Portage-2.3.78, Repoman-2.3.17
RepoMan-Options: --force
Signed-off-by: Jory Pratt <anarchy <AT> gentoo.org>

 ...ex-0.70.1-r2.ebuild => luatex-0.70.1-r3.ebuild} | 54 ++++++++++++----------
 1 file changed, 29 insertions(+), 25 deletions(-)

diff --git a/dev-tex/luatex/luatex-0.70.1-r2.ebuild 
b/dev-tex/luatex/luatex-0.70.1-r3.ebuild
similarity index 68%
rename from dev-tex/luatex/luatex-0.70.1-r2.ebuild
rename to dev-tex/luatex/luatex-0.70.1-r3.ebuild
index ad40cbe..bf63675 100644
--- a/dev-tex/luatex/luatex-0.70.1-r2.ebuild
+++ b/dev-tex/luatex/luatex-0.70.1-r3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit libtool eutils texlive-common
+inherit flag-o-matic libtool texlive-common
 
 DESCRIPTION="An extended version of pdfTeX using Lua as an embedded scripting 
language"
 HOMEPAGE="http://www.luatex.org/";
@@ -12,16 +12,18 @@ 
SRC_URI="http://foundry.supelec.fr/gf/download/frsrelease/392/1730/${PN}-beta-${
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="amd64 arm arm64 ia64 ~mips ppc sh sparc x86"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
 IUSE="doc"
 
 RDEPEND="dev-libs/zziplib
        >=media-libs/libpng-1.4
        app-text/poppler:=[xpdf-headers(+)]
-       sys-libs/zlib
+       sys-libs/zlib:*
        >=dev-libs/kpathsea-6.0.1_p20110627"
-DEPEND="${RDEPEND}
-       virtual/pkgconfig"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="virtual/pkgconfig"
 
 S="${WORKDIR}/${PN}-beta-${PV}/source"
 PRELIBS="libs/obsdcompat"
@@ -29,12 +31,14 @@ PRELIBS="libs/obsdcompat"
 #kpathsea_extraconf="--disable-shared --disable-largefile"
 
 src_prepare() {
-       has_version '>=app-text/poppler-0.18.0:0' && epatch 
"${FILESDIR}/poppler018.patch"
-       has_version '>=app-text/poppler-0.20.0:0' && epatch 
"${FILESDIR}/poppler020.patch"
-       has_version '>=app-text/poppler-0.22.0:0' && epatch 
"${FILESDIR}/poppler022.patch"
-       has_version '>=app-text/poppler-0.26.0:0' && epatch 
"${FILESDIR}/poppler026-backport.patch"
-       epatch "${FILESDIR}/kpathsea2012.patch" \
-               "${FILESDIR}/remove-zlib-version-check.patch" \
+       default
+       has_version '>=app-text/poppler-0.18.0:0' && eapply 
"${FILESDIR}/poppler018.patch"
+       has_version '>=app-text/poppler-0.20.0:0' && eapply 
"${FILESDIR}/poppler020.patch"
+       has_version '>=app-text/poppler-0.22.0:0' && eapply 
"${FILESDIR}/poppler022.patch"
+       has_version '>=app-text/poppler-0.26.0:0' && eapply 
"${FILESDIR}/poppler026-backport.patch"
+       has_version '>=app-text/poppler-0.57.0:0' && append-cxxflags -std=c++11 
# bug 627538
+       eapply "${FILESDIR}/kpathsea2012.patch" \
+               "${FILESDIR}/remove-zlib-version-check.patch"
                "${FILESDIR}/jmpbuf.patch"
        S="${S}/build-aux" elibtoolize --shallow
 }
@@ -49,7 +53,7 @@ src_configure() {
        myconf=""
        #has_version '>=app-text/texlive-core-2009' && 
myconf="--with-system-kpathsea"
 
-       cd "${S}/texk/web2c"
+       cd "${S}/texk/web2c" || die
        econf \
                --disable-cxx-runtime-hack \
                --disable-all-pkgs      \
@@ -81,7 +85,7 @@ src_configure() {
                local j=$(basename $i)_extraconf
                local myconf
                eval myconf=\${$j}
-               cd "${S}/${i}"
+               cd "${S}/${i}" || die
                econf ${myconf}
        done
 }
@@ -89,23 +93,23 @@ src_configure() {
 src_compile() {
        texk/web2c/luatexdir/getluatexsvnversion.sh || die
        for i in ${PRELIBS} ; do
-               cd "${S}/${i}"
-               emake || die "failed to build ${i}"
+               cd "${S}/${i}" || die
+               emake
        done
-       cd "${WORKDIR}/${PN}-beta-${PV}/source/texk/web2c"
-       emake luatex || die "failed to build luatex"
+       cd "${WORKDIR}/${PN}-beta-${PV}/source/texk/web2c" || die
+       emake luatex
 }
 
 src_install() {
-       cd "${WORKDIR}/${PN}-beta-${PV}/source/texk/web2c"
+       cd "${WORKDIR}/${PN}-beta-${PV}/source/texk/web2c" || die
        emake DESTDIR="${D}" bin_PROGRAMS="luatex" SUBDIRS="" 
nodist_man_MANS="" \
-               install-exec-am || die
+               install-exec-am
 
-       dodoc "${WORKDIR}/${PN}-beta-${PV}/README" || die
-       doman "${WORKDIR}/texmf/doc/man/man1/"*.1 || die
+       dodoc "${WORKDIR}/${PN}-beta-${PV}/README"
+       doman "${WORKDIR}/texmf/doc/man/man1/"*.1
        if use doc ; then
-               dodoc "${WORKDIR}/${PN}-beta-${PV}/manual/"*.pdf || die
-               dodoc "${WORKDIR}/texmf/doc/man/man1/"*.pdf || die
+               dodoc "${WORKDIR}/${PN}-beta-${PV}/manual/"*.pdf
+               dodoc "${WORKDIR}/texmf/doc/man/man1/"*.pdf
        fi
 }
 

Reply via email to